Calldata to execute a single swap
curl --request GET \
--url https://api.rhino.fi/bridge/swap/calldata/{commitmentId}import requests
url = "https://api.rhino.fi/bridge/swap/calldata/{commitmentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/bridge/swap/calldata/{commitmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calldata": "<string>"
}{
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"_id": "<string>",
"_tag": "CommitmentNotFoundError"
}{
"message": "<string>",
"_tag": "InvalidCommitmentTypeError"
}swap
Calldata to execute a single swap
Get the calldata needed to execute a single swap.
GET
/
swap
/
calldata
/
{commitmentId}
Calldata to execute a single swap
Path Parameters
The ID of the bridge and swap transaction, also referred to as quoteId within the POST /quote/bridge-swap/user endpoint, e.g. "665f8b2e1c9d440000a1b2c3".
Response
SwapCalldataResponse
The calldata for executing a swap transaction, in hex format.
⌘I